I would like to mirror a body, it works fine except that the operation by default is set to New Feature and I want it to be a Join Feature (adsk.fusion.FeatureOperations.JoinFeatureOperation). I checked and it does not have an operations attribute to set this, like for example the Extrude Feature does.
So how to set this?
# This works
mirror_feature_input = features.mirrorFeatures.createInput(
adsk.core.ObjectCollection.createWithArray([quarter_body]),
length_midplane
)
mirror_feature = features.mirrorFeatures.add(mirror_feature_input)
# Would like to be able to do this
mirror_feature_input.operations = adsk.fusion.FeatureOperations.JoinFeatureOperation
Solved! Go to Solution.
Solved by CADacombs. Go to Solution.
Without being able to set up the mirror feature with the join operation I end up with two bodies instead of one, as shown in the following screen shots:
You may just need to include
mirror_feature_input.isCombine = True
Can't find what you're looking for? Ask the community or share your knowledge.